# Generated by Django 3.0.2 on 2020-01-27 22:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Vacancy",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(max_length=255, verbose_name="Наименование"),
                ),
                (
                    "state",
                    models.CharField(
                        choices=[("ACTIVE", "Активный"), ("ARCHIVE", "Неактивный")],
                        max_length=16,
                        verbose_name="Состояние",
                    ),
                ),
                ("foreign_owner", models.IntegerField(verbose_name="ID владельца")),
                (
                    "owner",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Владелец",
                    ),
                ),
            ],
            options={"verbose_name": "Вакансия", "verbose_name_plural": "Вакансии",},
        ),
    ]
